Subject: Re: [ANNOUNCE] git-rev-size: calculate sizes of repository

From: Rutger Nijlunsing <[email-masked]>
Date: Sun, 20 Aug 2006 19:24:58 +0200

On Sun, Aug 20, 2006 at 06:09:34PM +0200, Johannes Schindelin wrote:
> Hi,
> 
> On Sun, 20 Aug 2006, Rutger Nijlunsing wrote:
> 
> > On Sun, Aug 20, 2006 at 03:20:19PM +0200, Johannes Schindelin wrote:
> > > Hi,
> > > 
> > > On Sun, 20 Aug 2006, Rutger Nijlunsing wrote:
> > > 
> > > > You can also find it on http://www.wingding.demon.nl/git-rev-size.rb
> > > 
> > > Ruby is _so_ mainstream. Could I have a Haskell version, pretty please?
> > 
> > I _knew_ it... Please go bug someone else. The only thing I did was
> > help someone, and for that I choose my own tools since I do it for
> > fun.
> 
> Fair enough.
> 
> -- 8< --
> [PATCH] Add git-rev-size
> 
> This tool spits out the number of trees, the number of blobs, and the total
> bytes of the blobs for a given rev range.
> 
> Most notably, it adds an object hash map structure to the library.
> 
> Signed-off-by: Johannes Schindelin <[email-masked]>

[Hm, the itch seems to be contagious. Better watch out...]

Small comments:

The 'git-rev-size' name was chosen because originally it understood
the same arguments as git-rev-list. You might want to add this popen()
back, or have some other way to share those (might be simple in C). Or
is setup_revisions() enough to have the power of git-rev-list?

If seperate commits have to be given on the command line instead of a
range, the command line limit is hit quite quickly (~780 commits). And
if you'll be using xargs, the hash / cache will be less of an advantage.

The original request was 'for each commit' to get an idea of the size
growth during a project.

'builtin_rev_size_usage' is not referred to in the patch, only defined.

Signed-off-by: Rutger Nijlunsing <[email-masked]>

> ---
>  Makefile           |    4 ++
>  builtin-rev-size.c |   92 ++++++++++++++++++++++++++++++++++++++++++++++++++++
>  builtin.h          |    1 +
>  git.c              |    1 +
>  hash.c             |   50 ++++++++++++++++++++++++++++
>  hash.h             |   12 +++++++
>  6 files changed, 159 insertions(+), 1 deletions(-)
[snip patch]

-- 
Rutger Nijlunsing ---------------------------------- eludias ed dse.nl
never attribute to a conspiracy which can be explained by incompetence
----------------------------------------------------------------------